Subject: Re: Pegasos 2 support patch ...

From: Sven Luther <[email-masked]>
Date: Thu, 1 Jul 2004 10:57:16 +0200

On Thu, Jul 01, 2004 at 09:42:52AM +0100, Adrian Cox wrote:
> On Thu, 2004-07-01 at 08:59, Geert Uytterhoeven wrote:
> > On Wed, 30 Jun 2004, Sven Luther wrote:
> > > On Wed, Jun 30, 2004 at 08:05:01PM +0100, Adrian Cox wrote:
>
> > > Ah, ok, so this is just another x86-bug, and there should really be no
> > > major problem in rectifying it, and all the code should already be in
> > > setup-pci.c. We just need to find some way to detect that we are also in
> > > this case. Could this not be probed somehow ? In which case are the irq
> > > numbers the same ? Only when the via driver is on a stansalone pci card ?
>
> The via 686 can't go on a standalone pci card, as it's a complete
> southbridge.

So, do i understand this correctly, and all instances of the via82cxxx
driver have the 14/15 interrupt arrangement ? Or are there other
standalone pci cards basd on the via ide chipset ?

> > > > What I'm looking for is a tidy way of achieving the same result on a
> > > > platform where the boot firmware did not put the via ide controller at
> > > > the legacy addresses.
> > >
> > > Ok, the main point would be to fins the tidy way for doing this.
> >
> > Cfr. the code in longtrail_pcibios_fixup() and briq_pcibios_fixup() for the
> > SL82C105 IDE interface, which is left in legacy mode by Open Firmware?
>
> Which tree are those boards in?
>
> There's a similar fixup in pplus.c in 2.6.7, but I don't like the way
> IDE works on PowerPC currently. The ppc_ide_md structure and the fixups
> are being used to fool the core ide code into behaving in a specific
> way. The core ide code makes no guarantees that these tricks will
> continue to work, and in my case the necessary tricks changed between
> 2.4 and 2.6. The only platform specific knowledge required for the Via
> 686 is the mapping between the internal i8259 interrupt number and the
> linux interrupt number.

Mmm.

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/